Subject: bug#38031: 26.3; Trying to invoke the macOS File Open window causes Emacs to crash on macOS Catalina

From: Michael Dixon <[email-masked]>
Date: Thu, 5 Dec 2019 06:20:54 -0500

Some more info on this one.

I’m built my own Emacs from the latest source, and get the same issue.

One potential problem I’ve read is that having my Documents folder on iCloud could cause a problem, but I don’t do that either.

I also tried Emacs Mac Port ( https://lists.gnu.org/archive/html/emacs-devel/2019-12/msg00104.html <https://lists.gnu.org/archive/html/emacs-devel/2019-12/msg00104.html>) and got an interesting result:

File > Open and the toolbar do not cause a crash, however, clicking on the “open a file” link in the splash screen causes a Mac beach ball that I can only solve by forcing a quit.